Skip to main content
GET
/
links
List all links
import requests

url = "https://{FUSION HOST}/api/links"

response = requests.get(url)

print(response.text)
HttpResponse<String> response = Unirest.get("https://{FUSION HOST}/api/links")
  .asString();
const options = {method: 'GET'};

fetch('https://{FUSION HOST}/api/links', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
require 'uri'
require 'net/http'

url = URI("https://{FUSION HOST}/api/links")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://{FUSION HOST}/api/links"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(string(body))

}
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://{FUSION HOST}/api/links",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
curl --request GET \
  --url https://{FUSION HOST}/api/links
[
  {
    "subject": "group:4e6ee9a6-d4ab-413a-ac70-a27c1445bb60",
    "object": "collection:default_signals_aggr",
    "linkType": "hasPart"
  },
  {
    "subject": "group:4e6ee9a6-d4ab-413a-ac70-a27c1445bb60",
    "object": "spark:default_click_signals_aggregation",
    "linkType": "hasPart"
  },
  {
    "subject": "group:4e6ee9a6-d4ab-413a-ac70-a27c1445bb60",
    "object": "collection:default",
    "linkType": "relatesTo"
  },
  {
    "subject": "group:4e6ee9a6-d4ab-413a-ac70-a27c1445bb60",
    "object": "collection:default_signals",
    "linkType": "hasPart"
  }
]

Query Parameters

subject
string
default:*

Return only links with a matching subject.

object
string
default:*

Return only links with a matching object.

Return only links with a matching type.

Possible link types:

  • DependsOn - The subject depends on the object.

  • Supports - The subject is depended on by the object (the reverse of dependsOn).

  • IsPartOf - The subject is part of the object, where the object is a group.

  • HasPart - The subject is a group, of which the object is a member (the reverse of isPartOf).

  • RelatesTo - The subject relates to the object. This is a uni-directional relationship that associates two objects that have none of the relationships described above.

  • InContextOf - The subject exists in the context of the object, which is an app.

  • HasContext - The subject is an app that contains the object.

  • Self - The subject and the object are the same.

Available options:
dependsOn,
supports,
isPartOf,
hasPart,
relatesTo,
inContextOf,
hasContext,
self
transitive
boolean
default:false

Return transitive links.

bypassCache
boolean
default:false

Bypass the cache and retrieve directly from storage.

Response

200 - application/json

successful operation

subject

Resource reference as a string, such as 'datasource:ratings-db'

object

Resource reference as a string, such as 'datasource:ratings-db'

Possible link types:

  • DependsOn - The subject depends on the object.

  • Supports - The subject is depended on by the object (the reverse of dependsOn).

  • IsPartOf - The subject is part of the object, where the object is a group.

  • HasPart - The subject is a group, of which the object is a member (the reverse of isPartOf).

  • RelatesTo - The subject relates to the object. This is a uni-directional relationship that associates two objects that have none of the relationships described above.

  • InContextOf - The subject exists in the context of the object, which is an app.

  • HasContext - The subject is an app that contains the object.

  • Self - The subject and the object are the same.

Available options:
dependsOn,
supports,
isPartOf,
hasPart,
relatesTo,
inContextOf,
hasContext,
self
originator
string
read-only